<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
 

<% request.setCharacterEncoding("utf-8");%>
<% 
   String id = request.getParameter("id");
   String passwd= request.getParameter("password");
   String sql="";
   String delsql="";
   
   ResultSet rs=null;
   String str="";
   
   try{
	 
	   Class.forName("oracle.jdbc.driver.OracleDriver");
	   Connection  conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20182209","961127");
	   sql="select id from CHANGMIN where id=?";
	   PreparedStatement pstmt=conn.prepareStatement(sql);
	   pstmt.setString(1, id);
	   rs=pstmt.executeQuery();
	  	    
		if(rs.next()){
			String rid=rs.getString("id");
			 
			if(id.equals(rid)){
				delsql="delete from CHANGMIN where id=?";  // sql DELETE: DELETE FROM 테이블명 WHERE 삭제조건
				pstmt=conn.prepareStatement(delsql);
				pstmt.setString(1,id);
				pstmt.executeUpdate();
				
			}
		}
		rs.close();
		pstmt.close();
		conn.close();  
	 	 
 	 str= "CHANGMIN 테이블에 계정을 삭제했습니다.";
 	}catch(Exception e){ 
 		e.printStackTrace();
 		str="CHANGMIN 테이블에 새로운 레코드를 삭제에 실패했습니다";
	
 	}
 %>
<html>
<head>
<title>레코드 추가</title>
</head>
<body>
  <%=str %>  <p>
  
 <A href="http://localhost:8080/f/list.jsp">전체회원목록 </A>
  <A href="http://localhost:8080/f/loginForm.jsp">로그인 </A>
</body>
</html>